Open CASCADE Technology: PXCAFDoc_Location Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PXCAFDoc_Location Class Reference

`#include <PXCAFDoc_Location.hxx>`

Inheritance diagram for PXCAFDoc_Location:
[legend]

## Public Member Functions
| PXCAFDoc_Location ()
| PXCAFDoc_Location (const PTopLoc_Location &Loc)
void | Set (const PTopLoc_Location &Loc)
PTopLoc_Location | Get () const
| PXCAFDoc_Location (const Storage_stCONSTclCOM &a)
const PTopLoc_Location & | _CSFDB_GetPXCAFDoc_LocationmyPLocation () const
Public Member Functions inherited from PDF_Attribute
| PDF_Attribute (const Storage_stCONSTclCOM &a)
| PDF_Attribute ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PXCAFDoc_Location::PXCAFDoc_Location | ( |  | ) |

PXCAFDoc_Location::PXCAFDoc_Location | ( | const PTopLoc_Location & | Loc | ) |

PXCAFDoc_Location::PXCAFDoc_Location | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

const PTopLoc_Location& PXCAFDoc_Location::_CSFDB_GetPXCAFDoc_LocationmyPLocation | ( |  | ) | const
| inline

PTopLoc_Location PXCAFDoc_Location::Get | ( |  | ) | const

void PXCAFDoc_Location::Set | ( | const PTopLoc_Location & | Loc | ) |

The documentation for this class was generated from the following file:

- PXCAFDoc_Location.hxx